## Class TSliderClientScript

Description

TSliderClientScript class.

Client-side slider events OnChange and {@line setOnMove OnMove} can be modified through the TSlider:: property of a slider.

The current value of the slider can be get in the 'value' js variable

The <tt>OnMove</tt> event is raised when the slider moves The <tt>OnChange</tt> event is raised when the slider value is changed (or at the end of a move)

- since: 3.1.1
- version: $Id: TSlider.php 2232 2007-09-23 12:02:44Z tof $
- author: Christophe Boulain <Christophe.Boulain@gmail.com>

Located in /Web/UI/WebControls/TSlider.php (line 515)

    TComponent
       |
       --TClientSideOptions
          |
          --TSliderClientScript

Method Summary
string getOnChange ()
string getOnSlide ()
void setOnChange (string $javascript)
void setOnSlide (mixed $javascript)
Methods
getOnChange (line 530)

- return: javascript code to execute when the slider value is changed.
- access: public

string getOnChange ()
getOnSlide (line 547)

- return: javascript code to execute when the slider moves.
- access: public

string getOnSlide ()
setOnChange (line 521)

Javascript code to execute when the slider value is changed.

- access: public

void setOnChange (string $javascript)

- string $javascript: javascript code

setOnSlide (line 538)

- access: public

void setOnSlide (mixed $javascript)

#### Inherited Methods

Inherited From TClientSideOptions

> TClientSideOptions::__construct()
> TClientSideOptions::ensureFunction()
> TClientSideOptions::getOption()
> TClientSideOptions::getOptions()
> TClientSideOptions::setFunction()
> TClientSideOptions::setOption()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:13 -0400 by phpDocumentor 1.3.0RC4